package Gnome2::VFS::Install::Files;

$self = {
          'deps' => [
                      'Glib'
                    ],
          'inc' => '-I/usr/pkg/include/gnome-vfs-2.0 -I/usr/pkg/lib/gnome-vfs-2.0/include -I/usr/pkg/include/gconf/2 -I/usr/pkg/include/glib-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/pkg/include -I/usr/pkg/include/orbit-2.0 -DORBIT2=1 -pthread  -I build',
          'libs' => '-L/usr/pkg/lib -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lgmodule-2.0 -pthread -lglib-2.0 -lgobject-2.0 -Wl,-R/usr/pkg/lib -lglib-2.0 -lintl ',
          'typemaps' => [
                          'vfs2perl.typemap',
                          'vfs.typemap'
                        ]
        };

@deps = @{ $self->{deps} };
@typemaps = @{ $self->{typemaps} };
$libs = $self->{libs};
$inc = $self->{inc};

	$CORE = undef;
	foreach (@INC) {
		if ( -f $_ . "/Gnome2/VFS/Install/Files.pm") {
			$CORE = $_ . "/Gnome2/VFS/Install/";
			last;
		}
	}

	sub deps { @{ $self->{deps} }; }

	sub Inline {
		my ($class, $lang) = @_;
		+{ map { (uc($_) => $self->{$_}) } qw(inc libs typemaps) };
	}

1;
